<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="7"
      :sm="24"
    >
      <depart-tree ref="left" 
      @clearSelectList ="clearSelectList" 
      @reloadUi="reloadUi"
      @getParentEnterprise="getParentEnterprise"
      @getUpdatePermission="getUpdatePermission"
      :departInfo="departInfo"
      :versionStatus="versionStatus"
      />
    </a-col>
    <a-col
      :md="24-7"
      :sm="24"
    >
      <depart-list 
      :parentId="parentId"
      :updatePermission="updatePermission"
      ref="right" 
      @changeVersionStatus="changeVersionStatus"
      @reloadUi="reloadUi"
      @getDepartInfo="getDepartInfo"
      />
    </a-col>
  </a-row>
</template>
<script>
import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import DepartTree from './modules/depart/DepartTree.vue';
import DepartList from './modules/depart/DepartList.vue';
export default {
  name: 'FactoryManager',
  components: {
    JeecgListMixin,
    DepartList,
    DepartTree
  },
  data() {
    return {
      description: '工厂/车间/产线建模',
      version:0,
      versionStatus:'',
      enterpriseId:'',
      parentId:'',
      departInfo:{},
      updatePermission:false,
    }
  },
  methods: {
    getParentEnterprise(parentId){
      this.parentId = parentId;
    },
    clearSelectList(){
      this.$refs.right.clearSelectList();
    },
    getDepartInfo(val){
      this.departInfo=val;
    },
    changeVersionStatus(versionStatus){
      this.versionStatus=versionStatus
    },
    reloadUi(){
      this.$refs.left.reloadUi();
    },
    getUpdatePermission(val){
      console.log(val)
      this.updatePermission=val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>